Bug 680596 - [abrt] rawstudio-1.2-9.fc14.20110221svn3825: open_photo: Process /usr/bin/rawstudio was killed by signal 11 (SIGSEGV)
Summary: [abrt] rawstudio-1.2-9.fc14.20110221svn3825: open_photo: Process /usr/bin/raw...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rawstudio
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:824b3b9e3d7c7e4908c9cc9806a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-26 08:16 UTC by Toshi
Modified: 2011-04-06 22:37 UTC (History)
2 users (show)

Fixed In Version: rawstudio-2.0-0.1.fc13.beta1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-31 20:02:01 UTC


Attachments (Terms of Use)
File: backtrace (55.97 KB, text/plain)
2011-02-26 08:16 UTC, Toshi
no flags Details

Description Toshi 2011-02-26 08:16:05 UTC
abrt version: 1.1.17
architecture: i686
Attached file: backtrace, 57310 bytes
cmdline: rawstudio
comment: I installed the update per bug 678967 to fix a denoise issue as well as a crash issue.  I opened a .CR2 file, used the denoise slider on it, then tried to select a different photo. The program crashed after this.
component: rawstudio
Attached file: coredump, 299937792 bytes
crash_function: open_photo
executable: /usr/bin/rawstudio
kernel: 2.6.35.11-83.fc14.i686
package: rawstudio-1.2-9.fc14.20110221svn3825
rating: 4
reason: Process /usr/bin/rawstudio was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1298707541
uid: 500

How to reproduce
-----
1. I installed updates-testing rawstudio
2. Opened to test denoise button
3. scrolled to a different picture and then the crash happened

Comment 1 Toshi 2011-02-26 08:16:06 UTC
Created attachment 481129 [details]
File: backtrace

Comment 2 Klaus Post 2011-02-27 13:48:30 UTC
Please upgrade to revision 3835, where I fixed the bug yesterday.

Comment 3 Fedora Update System 2011-03-27 21:06:01 UTC
rawstudio-2.0-0.1.fc15.beta1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rawstudio-2.0-0.1.fc15.beta1

Comment 4 Fedora Update System 2011-03-27 21:07:08 UTC
rawstudio-2.0-0.1.fc14.beta1 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rawstudio-2.0-0.1.fc14.beta1

Comment 5 Fedora Update System 2011-03-27 21:07:53 UTC
rawstudio-2.0-0.1.fc13.beta1 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rawstudio-2.0-0.1.fc13.beta1

Comment 6 Fedora Update System 2011-03-28 05:52:22 UTC
Package rawstudio-2.0-0.1.fc15.beta1:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rawstudio-2.0-0.1.fc15.beta1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rawstudio-2.0-0.1.fc15.beta1
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-03-31 20:01:44 UTC
rawstudio-2.0-0.1.fc15.beta1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-04-06 22:26:53 UTC
rawstudio-2.0-0.1.fc14.beta1 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-04-06 22:37:36 UTC
rawstudio-2.0-0.1.fc13.beta1 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.